version 0.9-83-12 (12-07-2025)
  - small change in rating.emmeans (thanks to Russell Lenth)

version 0.9-83-11 (22-04-2025)
  - adonis.II changed to build on adonis2 rather than adonis (package vegan) (thanks to Jari Oksanen)

version 0.9-83-7 (06-11-2023)
  - MVA.plot corrected for a minor issue (thanks to Morgane Ourry)

version 0.9-83-3 (26-09-2023)
  - small technical changes following CRAN request

version 0.9-83-2 (22-08-2023)
  - small technical changes following CRAN request

version 0.9-83 (06-14-2023)
  - Anova.clmm corrected to adapt to the model.matrix method now in the ordinal package (thanks to Henning Pohl)
  - pairwise.perm.manova changed to build on adonis2 rather than adonis (package vegan) (thanks to Mira Grönroos)

version 0.9-82-2 (05-11-2023)
  - fp.test changed to implement the original version of the Fligner-Policello test
  - pcor (then pcor.test) changed to implement a more relevant method to compute Spearman's partial correlation coefficients (thanks to Dave Markowitz and Seongho Kim)
  - Anova.clm and Anova.clmm corrected for a typo in results of type III tests (thanks to Su Shen)
  - small technical changes following CRAN request

version 0.9-81-2 (21-02-2022)
  - small technical changes following CRAN request

version 0.9-81 (13-12-2021)
  - perm.anova corrected for an error in p-value reporting with some specific designs (thanks to Carlos Rivera Moreno)
  - plotresid extended to betareg and glmmTMB models
  - new function p.beta for rescaling of a [0,1] variable into the (0,1) interval (and vice-versa)
  - new transformation 'p.beta' in back.emmeans (inverse of the scaling performed by p.beta)
  - new functions quasibinomial.QAIC and quasipoisson.QAIC to allow calculation of QAIC(c) with GLMs of the quasi- family

version 0.9-80 (28-06-2021)
  - fisher.bintest corrected for changing the p-value adjustment method with pairwise comparisons

version 0.9-79 (27-01-2021)
  - predict.least.rect now returns fitted values if 'newdata' omitted

version 0.9-78 (04-09-2020)
  - perm.anova corrected for printing problems with R version 4

version 0.9-77 (15-06-2020)
  - test.multinom corrected for a small bug
  - new function elogis (empirical logit link) for quasi-logistic models

version 0.9-75 (04-03-2020)
  - small technical changes following CRAN request

version 0.9-74 (04-01-2020)
  - MVA.plot now uses the same default scale for x and y axes
  - pairwise.perm.manova can now return F values and R2 values
  - new functions multtest.gp.bin (and associated plotting method) for univariate comparison of groups for multiple binary variables
  - CvM.test removed (the cramer.test function of the package cramer does the same job)
  - new argument 'col' in byf.hist

version 0.9-73 (26-03-2019)
  - new argument 'type.DA' in predict.MVA.cv and predict.MVA.cmv (probability for the most probable class or for each class)
  - new argument 'type' in predict.CDA.cv (probability for the most probable class or for each class)

version 0.9-72 (10-02-2019)
  - MVA.cv and MVA.cmv improved to return individual prediction probabilities
  - MVA.cor corrected for PCIA and CIA based on at least one mix analysis
  - MVA.scores, MVA.cor and MVA.load improved to return more than 2 axes
  - fourth-root transformation added to multtest.gp

version 0.9-71 (10-01-2019)
  - least.rect() corrected for >2 levels (printing error)
  - MVA.cv and MVA.cmv improved to return confusion matrices

version 0.9-70 (05-11-2018)
  - dunn.test removed (the dunnTest function of the package FSA does the same job)
  - pairwise.to.groups removed (not very useful)
  - package dependencies changed to follow migration of mixOmics from CRAN to Bioconductor

version 0.9-69-3 (14-05-2018)
  - changes in help pages as requested by CRAN

version 0.9-69-2 (29-01-2018)
  - cochran.qtest corrected for pairwise comparisons with identical groups (thanks to Duncan Hedderley)

version 0.9-69 (03-01-2018)
  - OR.multinom and test.multinom corrected for two-level responses
  - change from package 'lsmeans' to 'emmeans': back.lsmeans becomes back.emmeans, rating.lsmeans becomes rating.emmeans
  - plotresid improved to deal more properly with "quasi" distributions in GLM(M)s

version 0.9-68 (21-08-2017)
  - miscellaneous small improvements

version 0.9-66 (10-07-2017)
  - argument thresh of MVA.corplot improved
  - few linguistic improvements

version 0.9-65 (03-05-2017)
  - MVA.synt extended to DIABLO
  - MVA.scores, MVA.cor, MVA.load (hence MVA.plot) extended to DIABLO
  - new function DIABLO.cv (cross validation for DIABLO)
  - new function DIABLO.test (significance test for DIABLO)

version 0.9-64 (25-03-2017)
  - plotresid extended to glmmPQL models
  - new function pairwise.var.test (pairwise comparisons based on F-tests)
  - new function pairwise.perm.var.test (pairwise comparisons based on permutational F-tests)

version 0.9-63 (24-02-2017)
  - back.lsmeans corrected for log transformations, fourth-root transformation added
  - MVA.plot adapted for GPA
  - plotresid re-thought

version 0.9-62 (12-12-2016)
  - se corrected for proportions

version 0.9-61 (31-10-2016)
  - MVA.cv and MVA.cmv corrected for errors provoked by scaling with nearly constant variables

version 0.9-60 (20-08-2016)
  - MVA.synt extended to MCA, mix analysis, GPA, 2B-PLS, CCorA, rCCorA, RGCCA, CIA and PCIA
  - MVA.corplot extended to db-RDA
  - new function stand (standardization of a data frame based on another data frame)
  - intergroup variance removed from MVA.synt (not relevant)
  - new function CDA.cv (cross validation for CDA)
  - new predict methods for "CDA.cv" objects
  - new function CDA.test (significance test for CDA)
  - new function pairwise.CDA.test (pairwise comparisons for CDA)
  - pairwise.factorfit corrected for CA and CCA computed with the vegan package
  - new function to.dudi (conversion of some vegan analyses to ade4 format)
  - MVA.scores (hence MVA.plot) extended to (Generalized) Procrustean superimposition
  - MVA.cor (hence MVA.plot) extended to Generalized Procrustean superimposition
  - new function GPA.test (significance test for GPA)
  - new function cov.test (significance test for covariance)
  - new function ord.rw (re-computation of an ordination using given row weights)

version 0.9-57 (14-07-2016)
  - new function pairwise.factorfit (pairwise comparisons of groups displayed on a factorial map)
  - MVA.anova extended to deal with partial CCA/RDA/db-RDA
  - MVA.synt extended to db-RDA
  - new argument 'correct' in chisq.bintest (continuity correction)
  - new argument 'y' in se (standard error of a proportion)
  - new function cdf.discrete (Cumulative Distribution Function of a known discrete distribution)
  - prop.multinom corrected for 1-row matrices
  - new function wald.ptheo.multinom.test (Wald tests for comparison of proportions to theoretical values)
  - multinomial.test, multinomial.multcomp and multinomial.theo.multcomp accept factors as response
  - new argument 'prop' in multinomial.theo.multcomp (results displayed as counts or proportions)
  - new function dunn.test (Dunn's test)
  - new function cramer (Cramér's association coefficient between 2 nominal variables)
  - new argument 'progress' in all function performing permutation tests (display of the progress bar)
  - new argument 'scale' in MVA.cv, MVA.cmv and MVA.test (scaling)
  - new function pairwise.MVA.test (pairwise comparisons based on cross (model) validation)
  - new function cond.multinom (condition number of the Hessian matrix of a multinomial log-linear model)
  - new function OR.multinom (odds ratios in multinomial regression)
  - new function test.multinom (significance test in multinomial regression)

version 0.9-56 (06-06-2016)
  - MVA.synt extended to COA, RDA, CCA
  - new argument 'vars' in multtest.gp and plotting method optimized
  - splitf, MVA.cv, MVA.cmv, MVA.test optimized

version 0.9-55 (23-04-2016)
  - function multtest renamed multtest.gp
  - new function multtest.cor (correlation test for multiple variables)
  - new function loc.slp (slope of a hand-defined line)
  - new function coord.proj (coordinates of projected points)
  - functions MVA.scores, MVA.cor and MVA.load are now visible

version 0.9-54 (28-03-2016)
  - small bugs corrected in MVA.plot
  - new argument 'adj' in least.rect (correction of confidence intervals and p-values for multiple testing)
  - new function spearman.cor.multcomp (computation of adjusted confidence interval of Spearman's correlation coefficients for multiple comparisons)
  - small bug corrected in prop.multinom
  - new function dummy (creation of dummy responses from a factor)

version 0.9-53 (28-02-2016)
  - small bugs corrected in MVA.synt
  - new function multtest (univariate comparison of groups for multiple variables)

version 0.9-52 (15-11-2015)
  - small bugs corrected in MVA.plot

version 0.9-51 (17-10-2015)
  - small bugs corrected in MVA.plot
  - plotresid rewritten, new support for gls models
  - new arguments xlab and ylab in byf.hist

version 0.9-50 (08-08-2015)
  - wald.ptheo.test now deals with overdispersion
  - new function prop.multinom (computation of proportions and SE based on a multinomial log-linear model)
  - new function wmean (weighted arithmetic mean)
  - plot1comp.ind, plot1comp.var, s.corcircle2, scat.mix.categorical, scat.mix.numeric and scatter.coa2 removed (the MVA.plot function of this package does the same job and is more generic)
  - new function splitf (random splitting of data frame, respecting the relative proportions of levels of a factor)
  - new function MVA.cmv (cross model validation)
  - new function MVA.cv (cross validation)
  - DA.confusion and DA.valid removed (the MVA.cmv and MVA.cv functions of this package do the same job and are more generic)
  - new predict methods for "MVA.cv" and "MVA.cmv" objects
  - new function MVA.test (significance test based on cross (model) validation)
  - PLSDA.test removed (the MVA.test function of this package does the same job and is more generic)
  - PLSDA.ncomp removed (not really useful and the mvr function of the 'pls' package does nearly the same job)
  - new function MVA.plot (various plots for multivariate analyses)
  - cor.sparse removed (the MVA.plot function of this package does the same job and is more generic)
  - LDA.format not exported anymore (the MVA.plot function of this package does the same job and is more generic)
  - new arguments 'ord' and 'decreasing' in back.lsmeans
  - new function MVA.anova (wrapper to anova.cca of the 'vegan' package but for type II tests)
  - perm.t.test corrected for the computation of p-values (underestimated in some particular cases when using a two tailed test)
  - MVA.synt rewritten

version 0.9-45 (13-03-2015)
  - histograms with density polygons improved
  - G.test, G.multcomp and G.theo.multcomp modified to deal with 0 values (but warning that it should not be done)
  - new functions multinomial.test, multinomial.multcomp and multinomial.theo.multcomp (exact multinomial goodness-of-fit test and pairwise comparisons)
  - chisq.bintest splitted into chisq.bintest and fisher.bintest (chi-square and Fisher's exact tests for comparing response probabilities)
  - new function G.bintest (G test for comparing response probabilities)
  - new functions chisq.theo.bintest, chisq.bin.exp and prop.bin.multcomp (comparison of response probabilities to theoretical values)
  - new function fp.test (Fligner-Policello test)
  - new function CvM.test (two-sample Cramer-von Mises test)
  - new method for perm.t.test
  - new method for perm.var.test
  - new functions pcor and pcor.test (equivalents to cor and cor.test for (semi-)partial correlation)
  - new function pairwise.to.groups (conversion of a pairwise-comparison matrix to letters showing significantly different factor levels)
  - "mlm" models are now dealt properly by plotresid
  - pairwise.manova removed (dealt in a much powerful manner by the 'lsmeans' package)
  - new function pairwise.perm.manova (pairwise comparisons using permutational MANOVAs)
  - wald.ptheo.test accepts 2-column matrices as response
  - new function adonis.II (wrapper to adonis of the 'vegan' package but for type II tests)
  - new predict method for "coadisc" objects (Correspondence Discriminant Analysis performed with discrimin.coa from 'ade4')
  - DA.valid and DA.confusion can now handle "coadisc" objects (Correspondence Discriminant Analysis performed with discrimin.coa from 'ade4')
  - new arguments arrows in s.corcircle2
  - new function scat.cr ("correlation" of variables to axes in MCA or mix analyses)
  - MVA.synt extended to NSCA
  - wilcox.signtest now computes the confidence interval of the Hodges-Lehmann estimator (and this estimator)
  - new functions mood.medtest (Mood's median test) and pairwise.mood.medtest
  - new function prop.multinom.test (pairwise comparisons of proportions based on multinomial log-linear models)
  - wilcox.rating.signtest, wilcox.rating.test, kruskal.rating.test, friedman.rating.test, pairwise.wilcox.rating.test and wilcox.paired.rating.multcomp removed (these tests can be problematic with ratings, CLMs (package 'ordinal') are much better)
  - new function back.lsmeans (back-transformation of LSMeans and SE interval)

version 0.9-41 (15-11-2014)
  - lsm.basis.clm and lsm.basis.clmm removed (now dealt in a much powerful manner by the 'lsmeans' package)
  - DA.var removed (the MVA.synt function of this package does the same job and is more generic)
  - fc.multcomp removed (comparison of slopes dealt in a much powerful manner by the 'lsmeans' package)
  - plot1comp.ind rewritten to display a more easy-to-interpret graph
  - byf.normhist removed (not very useful and nearly same thing now done by byf.hist)
  - MVA.synt extended to MCA and mixed analyses